Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.components
Class CenterLayout

    java.lang.Object
      j3deditor.bin.components.CenterLayout

All Implemented Interfaces:
  java.awt.LayoutManager

    public class CenterLayout

extends java.lang.Object
implements java.awt.LayoutManager

The `CenterLayout` class is a layout manager that lays out a container's component in the middle of the container.

Author:
  Risto Seene

Constructor Summary
`CenterLayout(int border)` Creates an instance of `CenterLayout` with the given border width.
`CenterLayout(int hborder, int vborder)` Creates an instance of `CenterLayout` with the given border width.

Method Summary
`void` | `addLayoutComponent(java.lang.String string, java.awt.Component component)` Required by LayoutManager, not in use.
`void` | `layoutContainer(java.awt.Container container)` Required by LayoutManager.
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container container)` Required by LayoutManager, not in use.
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container container)` Required by LayoutManager, not in use.
`void` | `removeLayoutComponent(java.awt.Component component)` Required by LayoutManager, not in use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CenterLayout

    public CenterLayout(int border)

  Creates an instance of `CenterLayout` with the given border width.

  Parameters:
    `border` - width of the border

### CenterLayout

    public CenterLayout(int hborder,
                        int vborder)

  Creates an instance of `CenterLayout` with the given border width.

  Parameters:
    `hborder` - horizontal width of the border
    `vborder` - vertical width of the border

Method Detail

### addLayoutComponent

    public void addLayoutComponent(java.lang.String string,
                                   java.awt.Component component)

  Required by LayoutManager, not in use.

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`
  Parameters:
    `string` - doesn't do anything
    `component` - doesn't do anything

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component component)

  Required by LayoutManager, not in use.

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`
  Parameters:
    `component` - doesn't do anything

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container container)

  Required by LayoutManager, not in use.

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `container` - doesn't do anything
  Returns:
    `null`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container container)

  Required by LayoutManager, not in use.

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `container` - doesn't do anything
  Returns:
    `null`

### layoutContainer

    public void layoutContainer(java.awt.Container container)

  Required by LayoutManager. Lays out the components into the given container.

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`
  Parameters:
    `container` - container which components will be layd out

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD